package com.gustavopeiretti.parcelableexample;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;

public class MainActivity extends AppCompatActivity {

    public static final String PRODUCT_KEY = "PRODUCT_KEY";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Product product = createProduct();

        Intent intent = new Intent(this, SecondActivity.class);
        intent.putExtra(PRODUCT_KEY, product);

        startActivity(intent);

    }

    // for the purpose of this example
    private Product createProduct() {
        Product product = new Product();
        product.setProductId(123l);
        product.setName("Android");
        product.setDescription("Android Mobile");
        product.setAvailable(true);
        return product;
    }

}
